﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// The interface of the site visiting filter.
    /// </summary>
    public interface IFilter
    {
        /// <summary>
        /// Parse the site.
        /// </summary>
        /// <param name="site">The site.</param>
        /// <returns>The new site.</returns>
        ISite Parse(ISite site);
    }
}
