﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// The site contains AV information.
    /// </summary>
    public class AVSite : ISite
    {
        #region ISite Members

        /// <summary>
        /// The url of site.
        /// </summary>
        public string Url
        {
            get { return "http://www.AVSite.com"; }
        }

        /// <summary>
        /// Show the information about this site.
        /// </summary>
        public void ShowInformation()
        {
            Console.WriteLine("The site is so hot, all AV stars.");
        }

        #endregion
    }
}
