﻿//
// Authors:
// Xiaoliang Pang (mailto:mv@live.cn)
//
// Copyright (c) 2010 Landpy Software
//
// http://www.cnblogs.com/pangxiaoliang
//
using System;
using System.Collections.Generic;
using System.Text;

namespace Landpy.ProxyPattern
{
    /// <summary>
    /// The interface of site.
    /// </summary>
    public interface ISite
    {
        /// <summary>
        /// The url of site.
        /// </summary>
        string Url
        {
            get;
        }

        /// <summary>
        /// Show the information about this site.
        /// </summary>
        void ShowInformation();
    }
}
